Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.annotations
Class Border

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.annotations.Border

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF11)
    public final class Border

extends PdfObjectWrapper<PdfDictionary>

Border characteristics [PDF:1.6:8.4.3].

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `Border.StyleEnum` Border style [PDF:1.6:8.4.3].

Constructor Summary
`Border(Document context, double width, Border.StyleEnum style, LineDash pattern)`

Method Summary
`Border` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`LineDash` | `getPattern()` Gets the dash pattern used in case of dashed border.
`Border.StyleEnum` | `getStyle()` Gets the border style.
`double` | `getWidth()` Gets the border width in points.
`void` | `setPattern(LineDash value)`
`void` | `setStyle(Border.StyleEnum value)`
`void` | `setWidth(double value)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Border

    public Border(Document context,
                  double width,
                  Border.StyleEnum style,
                  LineDash pattern)

Method Detail

### clone

    public Border clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getPattern

    public LineDash getPattern()

  Gets the dash pattern used in case of dashed border.

### getStyle

    public Border.StyleEnum getStyle()

  Gets the border style.

### getWidth

    public double getWidth()

  Gets the border width in points.

### setPattern

    public void setPattern(LineDash value)

  See Also:
    `getPattern()`

### setStyle

    public void setStyle(Border.StyleEnum value)

  See Also:
    `getStyle()`

### setWidth

    public void setWidth(double value)

  See Also:
    `getWidth()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.